DCMTK: GeneralAnatomyMacro Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
GeneralAnatomyMacro Class Reference

Class representing the General Anatomy Mandatory or Optional Macro. More...

## Public Member Functions
| GeneralAnatomyMacro (const OFString &type)
| Constructor.
| GeneralAnatomyMacro (const GeneralAnatomyMacro &rhs)
| Copy constructor, creates deep copy.
virtual | ~GeneralAnatomyMacro ()
| Virtual destructor.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual CodeSequenceMacro & | getAnatomicRegion ()
| Return Anatomic Region.
virtual OFVector< CodeSequenceMacro * > & | getAnatomicRegionModifier ()
| Return Anatomic Region Modifier Codes.
virtual PrimaryAnatomicStructureMacro & | getPrimaryAnatomicStructure ()
| Return anatomic structure.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Reads Anatomic Region Sequence and Primary Anatomic Structure Macro from given item.
virtual OFCondition | write (DcmItem &item)
| Write Anatomic Region Sequence and Primary Anatomic Structure Macro to given item.
GeneralAnatomyMacro & | operator= (const GeneralAnatomyMacro &rhs)
| Assignment operator (performs deep copy)
virtual int | compare (const GeneralAnatomyMacro &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both objects (this and rhs parameter) are compared by value.

## Private Attributes
OFString | m_Type
| Type (1,2,3) of Anatomic Region Sequence.
CodeSequenceMacro | m_AnatomicRegion
| Anatomic Region Sequence (SQ, 1, 1) (Code Sequence Macro within item of Anatomic Region Sequence))
OFVector< CodeSequenceMacro * > | m_AnatomicRegionModifier
| Anatomic Region Modifier Macro (within item of Anatomic Region Sequence)
PrimaryAnatomicStructureMacro | m_PrimaryAnatomicStructure
| Primary Anatomic Structure Macro (on the same level as Anatomic Region Sequence)

## Detailed Description

Class representing the General Anatomy Mandatory or Optional Macro.

## Constructor & Destructor Documentation

## ◆ GeneralAnatomyMacro() [1/2]

GeneralAnatomyMacro::GeneralAnatomyMacro | ( | const OFString & | type | ) |

Constructor.

Parameters

  type | Type of Anatomic Region Sequence. Permitted values: If 1, the class represents the "General Anatomy Mandatory Macro", if type 2 then it behaves like the "General Anatomy Required Macro", and type 3 like the "General Anatomy Optional Macro". Other values are interpreted as type 3 (optional).

Referenced by GeneralAnatomyMacro(), compare(), and operator=().

## ◆ GeneralAnatomyMacro() [2/2]

GeneralAnatomyMacro::GeneralAnatomyMacro | ( | const GeneralAnatomyMacro & | rhs | ) |

Copy constructor, creates deep copy.

Parameters

  rhs | The macro to copy from

References GeneralAnatomyMacro().

## Member Function Documentation

## ◆ check()

virtual OFCondition GeneralAnatomyMacro::check | ( | const OFBool | quiet = OFFalse | ) |
| virtual

Check whether this component's data satisfies the underlying rules.

Parameters

  quiet | If OFTrue, not error / warning messages will be produced. Only the returned error code will indicate error or OK. Per default, logging output is produced (OFFalse).

Returns
  EC_Normal if rules are satisfied, error otherwise

## ◆ compare()

virtual int GeneralAnatomyMacro::compare | ( | const GeneralAnatomyMacro & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both objects (this and rhs parameter) are compared by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the rhs object, or all compared components match but the rhs component is shorter. 1 if either the value of the first component that does not match is greater in the rhs object, or all compared components match but the rhs component is longer.

References GeneralAnatomyMacro().

## ◆ getAnatomicRegion()

virtual CodeSequenceMacro & GeneralAnatomyMacro::getAnatomicRegion | ( |  | ) |
| virtual

Return Anatomic Region.

Returns
  Reference to Anatomic Region Code

## ◆ getAnatomicRegionModifier()

virtual OFVector< CodeSequenceMacro * > & GeneralAnatomyMacro::getAnatomicRegionModifier | ( |  | ) |
| virtual

Return Anatomic Region Modifier Codes.

Returns
  Reference to Anatomic Region Modifier codes

## ◆ getPrimaryAnatomicStructure()

virtual PrimaryAnatomicStructureMacro & GeneralAnatomyMacro::getPrimaryAnatomicStructure | ( |  | ) |
| virtual

Return anatomic structure.

Returns
  Reference to anatomic structure macro

## ◆ operator=()

GeneralAnatomyMacro & GeneralAnatomyMacro::operator= | ( | const GeneralAnatomyMacro & | rhs | ) |

Assignment operator (performs deep copy)

Parameters

  rhs | The macro to copy from

Returns
  Reference to "this" object

References GeneralAnatomyMacro().

## ◆ read()

virtual OFCondition GeneralAnatomyMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Reads Anatomic Region Sequence and Primary Anatomic Structure Macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading, otherwise it is kept/overwritten.

Returns
  EC_Normal if no error, error otherwise

## ◆ write()

virtual OFCondition GeneralAnatomyMacro::write | ( | DcmItem & | item | ) |
| virtual

Write Anatomic Region Sequence and Primary Anatomic Structure Macro to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2